Subject: bug#21275: 24.5; Selection deleted with electric pair mode in cc mode

From: Stefan Monnier <[email-masked]>
Date: Fri, 21 Aug 2015 09:42:38 -0400

> My point is that this workaround for electric-pair should have an
> "electric-pair" name, not a "delete-selection" name.  It is not something
> used by delete-selection.

No.  It's a feature of delete-selection (in the form of a hook).
Look at the code: it doesn't say anything about electric-pair.
This feature was added for electric-pair, indeed, but it's a feature of
delete-selection.

elec-pair.el has the other half of code (added to delete-selection's
hook), using the proper prefix.

        Stefan